#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 1, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 2, 13, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 14, 41, 30));

    valuer.Add(TestGroup(TestGroup::ClassicScore, 42, 47, 30), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::ClassicScore, 48, 48, 10), TValuer::Offline);

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" %d -1 ", valuer.IsPassedOfflineBorder());
    size_t testsPassed = valuer.GetPassedTestsAmount();
    testsPassed = -1;
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d %d", valuer.CalcScore(parser), testsPassed);

    valuer.SetValuerType(TValuer::FullScore);
    fprintf(stderr, "%d", valuer.CalcScore(parser));
    fprintf(stderr, " %d -1 ", valuer.IsPassedOfflineBorder());
    testsPassed = valuer.GetPassedTestsAmount();
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    testsPassed = -1;
    fprintf(stderr, "%d %d", valuer.CalcScore(parser), testsPassed);

    return 0;
}
