#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 50);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 2, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 3, 16, 50));
    valuer.Add(TestGroup(TestGroup::ClassicScore, 17, 21, 50), TValuer::Offline);
    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" %d -1 ", valuer.IsPassedOfflineBorder());
    size_t testsPassed = valuer.GetPassedTestsAmount();
    testsPassed = -1;
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d %d", valuer.CalcScore(parser), testsPassed);

    return 0;
}
