#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 1, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 2, 12, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 13, 21, 30));

    valuer.Add(TestGroup(TestGroup::AllOrNothing, 22, 24, 12), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 25, 27, 12), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 28, 30, 12), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::ClassicScore, 31, 31, 4), TValuer::Offline);

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" %d -1 ", valuer.IsPassedOfflineBorder());
    size_t testsPassed = valuer.GetPassedTestsAmount();
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d %d", valuer.CalcScore(parser), testsPassed);

    return 0;
}
