#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 2, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 3, 17, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 18, 32, 30));

    valuer.Add(TestGroup(TestGroup::AllOrNothing, 33, 37, 10), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 38, 42, 10), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 43, 47, 10), TValuer::Offline);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 48, 52, 10), TValuer::Offline);

    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));
    printf(" %d -1 ", valuer.IsPassedOfflineBorder());
    size_t testsPassed = valuer.GetPassedTestsAmount();
    testsPassed = -1;
    valuer.SetValuerType(TValuer::IgnoreOfflineGroups);
    printf("%d %d", valuer.CalcScore(parser), testsPassed);

    return 0;
}
